import service from "../axios";

// 订单审核
export function OrderCardStatus(data){
     return service.post("/admin/sim/applyAudit", data);
}

// 上传订单合同
export function UploadOrderCardContract(data){
     return service.post("/admin/sim/uploadContract", data);
}

// 购卡
export function CardPurchase(data){
    return service.post('/admin/sim/apply',data)
}

// 分配卡号
export function DistributionCard(data){
     return service.post("/admin/sim/assignSim", data);
}

// 查看订单下的卡
export function viewOrderCard(params){
    return service.get("/admin/sim/orderCard", {params});
}

// 获取资费
export function AcquireOrdertariff(params){
     return service.get("/admin/platform/getTariffById", {params});
}

// 获取资费下的卡
export function TariffOrderCard(params){
     return service.get("/admin/platform/getTariffCard", {params});
}

// 退卡
export function ReturntheCard(data){
     return service.post("/admin/sim/returnCard", data);
}